ResourceManagerType (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: ResourceManagerType

Package org.apache.geode.cache.configuration

# Class ResourceManagerType

java.lang.Object
org.apache.geode.cache.configuration.ResourceManagerType

@Experimental public class ResourceManagerType extends Object
The "resource manager" element configures the behavior of the resource manager. The resource manager provides support for resource management of its associated Cache.

Java class for resource-manager-type complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="resource-manager-type">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="critical-heap-percentage" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="eviction-heap-percentage" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="critical-off-heap-percentage" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="eviction-off-heap-percentage" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `criticalHeapPercentage`
  `protected String`
  `criticalOffHeapPercentage`
  `protected String`
  `evictionHeapPercentage`
  `protected String`
  `evictionOffHeapPercentage`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceManagerType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCriticalHeapPercentage()`
  Gets the value of the criticalHeapPercentage property.
  `String`
  `getCriticalOffHeapPercentage()`
  Gets the value of the criticalOffHeapPercentage property.
  `String`
  `getEvictionHeapPercentage()`
  Gets the value of the evictionHeapPercentage property.
  `String`
  `getEvictionOffHeapPercentage()`
  Gets the value of the evictionOffHeapPercentage property.
  `void`
  `setCriticalHeapPercentage(String value)`
  Sets the value of the criticalHeapPercentage property.
  `void`
  `setCriticalOffHeapPercentage(String value)`
  Sets the value of the criticalOffHeapPercentage property.
  `void`
  `setEvictionHeapPercentage(String value)`
  Sets the value of the evictionHeapPercentage property.
  `void`
  `setEvictionOffHeapPercentage(String value)`
  Sets the value of the evictionOffHeapPercentage property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### criticalHeapPercentage

    protected String criticalHeapPercentage

  - ### evictionHeapPercentage

    protected String evictionHeapPercentage

  - ### criticalOffHeapPercentage

    protected String criticalOffHeapPercentage

  - ### evictionOffHeapPercentage

    protected String evictionOffHeapPercentage

- ## Constructor Details

  - ### ResourceManagerType

    public ResourceManagerType()

- ## Method Details

  - ### getCriticalHeapPercentage

    public String getCriticalHeapPercentage()
    Gets the value of the criticalHeapPercentage property. possible object is `String`
    Returns:
      the value of the criticalHeapPercentage property

  - ### setCriticalHeapPercentage

    public void setCriticalHeapPercentage(String value)
    Sets the value of the criticalHeapPercentage property. allowed object is `String`
    Parameters:
      `value` - the value of the criticalHeapPercentage property

  - ### getEvictionHeapPercentage

    public String getEvictionHeapPercentage()
    Gets the value of the evictionHeapPercentage property. possible object is `String`
    Returns:
      the value of the evictionHeapPercentage property

  - ### setEvictionHeapPercentage

    public void setEvictionHeapPercentage(String value)
    Sets the value of the evictionHeapPercentage property. allowed object is `String`
    Parameters:
      `value` - the value of the evictionHeapPercentage property

  - ### getCriticalOffHeapPercentage

    public String getCriticalOffHeapPercentage()
    Gets the value of the criticalOffHeapPercentage property. possible object is `String`
    Returns:
      the value of the criticalOffHeapPercentage property

  - ### setCriticalOffHeapPercentage

    public void setCriticalOffHeapPercentage(String value)
    Sets the value of the criticalOffHeapPercentage property. allowed object is `String`
    Parameters:
      `value` - the value of the criticalOffHeapPercentage property

  - ### getEvictionOffHeapPercentage

    public String getEvictionOffHeapPercentage()
    Gets the value of the evictionOffHeapPercentage property. possible object is `String`
    Returns:
      the value of the evictionOffHeapPercentage property

  - ### setEvictionOffHeapPercentage

    public void setEvictionOffHeapPercentage(String value)
    Sets the value of the evictionOffHeapPercentage property. allowed object is `String`
    Parameters:
      `value` - the value of the evictionOffHeapPercentage property